Get a Board View
curl --request GET \
--url https://api.honeycomb.io/1/boards/{boardId}/views/{viewId} \
--header 'X-Honeycomb-Team: <api-key>'import requests
url = "https://api.honeycomb.io/1/boards/{boardId}/views/{viewId}"
headers = {"X-Honeycomb-Team": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};
fetch('https://api.honeycomb.io/1/boards/{boardId}/views/{viewId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "eC_abc123",
"name": "Api and web slow requests errors",
"filters": [
{
"column": "status",
"operation": "=",
"value": "error"
},
{
"column": "duration_ms",
"operation": ">",
"value": 100
},
{
"column": "service",
"operation": "in",
"value": [
"api",
"web"
]
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Rate Limited"
}{
"error": "<string>"
}Get a Board View
Retrieve a single Board View by ID.
GET
/
1
/
boards
/
{boardId}
/
views
/
{viewId}
Get a Board View
Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
The unique identifier (ID) of a Board.
The unique identifier (ID) of a Board View.
⌘I